Loading...
Searching...
No Matches
heap_object< T >

## Detailed Description

template<class T>
class rheolef::heap_object< T >

Definition at line 28 of file heap_object.h.

## Public Types

typedef size_t | size_type

## Public Member Functions

| heap_object (size_type sizeof_bucket=sizeof(T))
| ~heap_object ()
T * | new_bucket () const
size_type | size () const
void | reinitialize (size_type sizeof_bucket=sizeof(T))
void | clear ()

## Protected Attributes

std::list< std::vector< char > > | _heap
size_type | _heap_block_size
size_type | _heap_block_last_free
size_type | _sizeof_bucket
size_type | _counter

## Static Protected Attributes

static const size_type | _heap_block_size_init = 10

## Member Typedef Documentation

## size_type

template<class T >

typedef size_t size_type

Definition at line 30 of file heap_object.h.

## Constructor & Destructor Documentation

## heap_object()

template<class T >

heap_object | ( | size_type | sizeof_bucket = `sizeof(T)` | ) |

Definition at line 50 of file heap_object.h.

## ~heap_object()

template<class T >

~heap_object | ( |  | ) |

Definition at line 90 of file heap_object.h.

## Member Function Documentation

## new_bucket()

template<class T >

T * new_bucket | ( |  | ) | const

Definition at line 74 of file heap_object.h.

## size()

template<class T >

size_type size | ( |  | ) | const

Definition at line 37 of file heap_object.h.

## reinitialize()

template<class T >

void reinitialize | ( | size_type | sizeof_bucket = `sizeof(T)` | ) |

Definition at line 62 of file heap_object.h.

## clear()

template<class T >

void clear | ( |  | ) |

Definition at line 96 of file heap_object.h.

## Member Data Documentation

## _heap

template<class T >

std::list<std::vector<char> > _heap

mutable protected

Definition at line 41 of file heap_object.h.

## _heap_block_size

template<class T >

size_type _heap_block_size

mutable protected

Definition at line 42 of file heap_object.h.

## _heap_block_last_free

template<class T >

size_type _heap_block_last_free

mutable protected

Definition at line 43 of file heap_object.h.

## _sizeof_bucket

template<class T >

size_type _sizeof_bucket

protected

Definition at line 44 of file heap_object.h.

## _counter

template<class T >

size_type _counter

mutable protected

Definition at line 45 of file heap_object.h.

## _heap_block_size_init

template<class T >

const size_type _heap_block_size_init = 10

static protected

Definition at line 46 of file heap_object.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/util/lib/heap_object.h